%define		module sexy-python
Summary:	Python bindings to libsexy
Summary(pl.UTF-8):	Dowiązania do biblioteki libsexy dla Pythona
Name:		python-sexy
Version:	0.1.9
Release:	8
License:	LGPL
Group:		Libraries/Python
Source0:	http://releases.chipx86.com/libsexy/sexy-python/sexy-python-%{version}.tar.gz
# Source0-md5:	313f11e98555b0e9eea28219564e5063
URL:		http://www.chipx86.com/wiki/Libsexy
BuildRequires:	libsexy-devel >= 0.1.10
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2
BuildRequires:	python-pygtk-devel >= 2:2.8.0
BuildRequires:	rpm-pythonprov
Requires:	libsexy >= 0.1.10
Requires:	python-pygtk-gtk >= 2:2.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sexy-python is a set of Python bindings around libsexy.

%description -l pl.UTF-8
sexy-python to zbiór dowiązań Pythona wokół biblioteki libsexy.

%package devel
Summary:	Development file for Python libsexy bindings
Summary(pl.UTF-8):	Plik programistyczny wiązań libsexy dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.8.0

%description devel
Development file for Python libsexy bindings.

%description devel -l pl.UTF-8
Plik programistyczny wiązań libsexy dla Pythona.

%prep
%setup -q -n  %{module}-%{version}

%build
%configure \
	--enable-docs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/gtk-2.0/sexy.so

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/sexy.defs
%changelog
* Sat Dec 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sexy.git;a=log;h=master

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 456aa8b
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b29ea31
- release 7 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 28cfa0b
- BR: pkgconfig, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7874566
- release 6

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 10551bb
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 64ad8bb
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d9ee8b8
- release 3

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> ac309ed
- fix silly typo

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> c8f3d66
- separated -devel
- release 1

* Mon Apr 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 52e9c26
- cleanup

* Thu Apr 05 2007 czarny <czarny@pld-linux.org> e7df009
- stolen from FC

